
Katello - Bug #6850

Many of the list/index page columns dont get when their details change

07/30/2014 04:02 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello Backlog   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1125007 Red Hat JIRA:  

Pull request:    

Description

Take the example of the following issue http://projects.theforeman.org/issues/6807

1. create a host collection

2. add two new hosts to host-collection

3. Go to the host collections index page.

Notice that the content hosts count has not been updated

Similar bugs occur on

Product/Repositories page (where we add a repo to the product and the index still shows the previous number)

Content Views, where the repo/env names are not similartly update

Gpg Keys with the product/repo count

and so on. This is probably true for every nutupane page.

We need a generic mechanism/service to automatically update the Index list when we change specific details of one of the items

Related issues:

Related to Katello - Tracker #16726: Bugs that will be fixed by removing nutu... Closed 09/28/2016

History

#1 - 07/30/2014 04:03 PM - Partha Aji

- Bugzilla link set to 1125007

#2 - 08/04/2014 10:51 PM - Eric Helms

- Difficulty set to medium

- Triaged changed from No to Yes

#3 - 08/29/2014 11:04 AM - Walden Raines

- Status changed from New to Assigned

#4 - 12/21/2015 11:52 AM - Eric Helms

- translation missing: en.field_release set to 114

#5 - 09/28/2016 10:23 AM - Walden Raines

- Related to Tracker #16726: Bugs that will be fixed by removing nutupane added

#6 - 09/29/2016 10:43 AM - Walden Raines

- Status changed from Assigned to New

#7 - 01/05/2017 04:07 PM - Walden Raines

- Target version set to 155
#8 - 01/14/2017 02:46 PM - Walden Raines

Closing this because this issue will no longer exist when nutupane is removed.

See also http://projects.theforeman.org/issues/17922.  Any issues similar to what is described above will be tracked there.

#9 - 01/14/2017 02:46 PM - Walden Raines

- Status changed from New to Closed
